.noob-btn {
    display: inline-block;
    line-height: normal;
    white-space: nowrap;
    vertical-align: middle;
    text-align: center;
    cursor: pointer;
    -webkit-user-drag: none;
    -webkit-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    user-select: none;
    -webkit-box-sizing: border-box;
    box-sizing: border-box;
  }
  
  .noob-btn-disabled {
    border: none;
    background-image: none;
    opacity: 0.4;
    cursor: not-allowed;
    box-shadow: none;
    pointer-events: none;
  }
  
  .noob-btn-primary {
    background-color: #0078e7;
    color: #fff;
  }
  
  .noob-btn-secondary {
    background-color: #ba55d3;
    color: #fff;
  }
  
  .noob-btn-success {
    background-color: #228b22;
    color: #fff;
  }
  
  .noob-btn-error {
    background-color: #ff0000;
    color: #fff;
  }
  
  .noob-btn-warning {
    background-color: #ffff00;
    color: #000;
  }
  
  .noob-btn-xs {
    font-size: 50%;
  }
  
  .noob-btn-s {
    font-size: 75%;
  }
  
  .noob-btn-normal {
    display: inline-block;
    line-height: normal;
    white-space: nowrap;
    vertical-align: middle;
    text-align: center;
    cursor: pointer;
    -webkit-user-drag: none;
    -webkit-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    user-select: none;
    -webkit-box-sizing: border-box;
    box-sizing: border-box;
  }
  
  .noob-btn-l {
    font-size: 125%;
  }
  
  .noob-btn-xl {
    font-size: 150%;
  }